import pycro.backend.operations.integer as integer
from pycro.frontend.python.opcodes import opcode


@opcode('BINARY_ADD')
def add(state, codegen, code, bcc):
    integer.Integer(codegen).add()

@opcode('BINARY_AND')
def add(state, codegen, code, bcc):
    integer.Integer(codegen).binary_and()

@opcode('BINARY_SUBTRACT')
def subtract(state, codegen, code, bcc):
    integer.Integer(codegen).subtract()

@opcode('BINARY_MULTIPLY')
def multiply(state, codegen, code, bcc):
    integer.Integer(codegen).multiply()

@opcode('BINARY_DIVIDE')
def divide(state, codegen, code, bcc):
    integer.Integer(codegen).divide()

@opcode('BINARY_MODULO')
def mod(state, codegen, code, bcc):
    integer.Integer(codegen).mod()

@opcode('BINARY_LSHIFT')
def shift_left(state, codegen, code, bcc):
    integer.Integer(codegen).shift_left()

@opcode('BINARY_RSHIFT')
def shift_left(state, codegen, code, bcc):
    integer.Integer(codegen).shift_right()
