#!env python
import unittest
from pycro.frontend.python.test.run import run, execute

class TestString(unittest.TestCase):
    def test_index(self):
        def bob():
            from sys import exit
            a = "chicken"
            exit(a[4])
        self.assertEqual(ord('k'), run(bob))

    def test_use_of_index(self):
        def bob():
            a = "chicken"
            from sys import exit
            result = a[2] + a[len(a) - 1]
            exit(result)
        self.assertEqual(ord('i') + ord('n'), run(bob))

    def test_str(self):
        def bob():
            print str(5)
            print str(15)
            print str(0)
            print str(-8)
        result = execute(bob)
        self.assertEqual("5\n15\n0\n-8\n", result[1])
        self.assertEqual(0, result[0])


if __name__ == "__main__":
    unittest.main()
