#!env python
import unittest
from pycro.frontend.python.test.run import run

class TestIf(unittest.TestCase):
    def test_greater_true(self):
        def func():
            i = 5
            j = 2
            if i > 1:
                j = 2
            return j
        self.assertEqual(2, run(func))

    def test_greater_false(self):
        def func():
            i = 2
            j = 5
            if i > 4:
                j = 3
            return j
        self.assertEqual(5, run(func))

    def test_lesser(self):
        def func():
            i = 2
            if i < 5:
                i = 4
            return i
        self.assertEqual(4, run(func))

        def func2():
            i = 15
            if i < 10:
                i = 4
            return i
        self.assertEqual(15, run(func2))

if __name__ == "__main__":
    unittest.main()
