from common.graphics import add_span

def draw_rectangle(x1, y1, x2, y2, colour):
    min_x = min(x1, x2)
    max_x = max(x1, x2)

    y = min(y1, y2)
    max_y = max(y1, y2)

    while y < max_y:
        add_span(y, min_x, 0, max_x, 0, colour)
        y = y + 1
