#!env python
import math
import unittest

import common.math

class TestMath(unittest.TestCase):
    def test_sin(self):
        for i in range(360):
            expected = math.sin(i * math.pi / 180) * 100
            actual = common.math.sin(i)
            self.assertTrue(abs(expected - actual) < 2, "%f >= %i" % (expected, 2))

    def test_cos(self):
        for i in range(360):
            expected = math.cos(i * math.pi / 180) * 100
            actual = common.math.cos(i)
            self.assertTrue(abs(expected - actual) < 2, "%f >= %i" % (expected, 2))

if __name__ == "__main__":
    unittest.main()
