#!env python
from system.drawing.window import init as init_screen, refresh as refresh_screen
from system.clock import get_milliseconds, sleep
from pacmanlib.background import draw_background, draw_pacman

def main():
    init_screen()
    draw_background()

    x = 0
    y = 0
    update_interval = 1000
    should_continue = 1
    while should_continue:
        current_time = get_milliseconds()
        x = x + 1
        draw_pacman(x, y)

        refresh_screen()

        post_time = get_milliseconds()
        duration = post_time - current_time
        if duration < update_interval:
            sleep(update_interval - duration)

        current_time = post_time


#if __name__ == "__main__":
main()
