


# Modification of a Wichman-Hill random number generator
a = 32135
_X = 3269 # 30268
_Y = 3307 # 30306
_Z = 3323 # 30323

x = a % _X + 1
a = a / _X
y = a % _Y + 1
a = a / _Y
z = a % _Z + 1
a = a / _Z

def randint(minimum, maximum):
    global x,y,z
    x = (171 * x) % _X
    y = (172 * y) % _Y
    z = (170 * z) % _Z

    return minimum + (x + y + z) % (maximum - minimum)
