
import pycro.backend.operations.list as lst
from pycro.frontend.python.opcodes import opcode, opcode_with_index

@opcode("BINARY_SUBSCR")
def get_item(state, codegen, code, bcc):
    lst.get_item(codegen)

@opcode("STORE_SUBSCR")
def set_item(state, codegen, code, bcc):
    lst.set_item(codegen)

@opcode_with_index("BUILD_LIST")
def build_list(state, codegen, index, code, bcc):
    lst.create_list(codegen, index)
