#!env python
import unittest
from pycro.frontend.python.test.run import execute

class TestAssert(unittest.TestCase):
    def test_assertion_with_message(self):
        def bob():
            assert 0, "some message"
        result = execute(bob)
        self.assertEqual(1, result[0])
        error = result[1]
        error = error[error.index('testassert.py'):]
        self.assertEqual("testassert.py ( 8 ): AssertionError: some message\n", error)

    def test_assertion_without_message(self):
        def bob():
            assert 0
        result = execute(bob)
        self.assertEqual(1, result[0])
        error = result[1]
        error = error[error.index('testassert.py'):]
        self.assertEqual("testassert.py ( 17 ): AssertionError: \n", error)

if __name__ == "__main__":
    unittest.main()
