#!env python
import unittest
from pycro.frontend.python.test.run import output

class TestPrinting(unittest.TestCase):
    def test_print(self):
        def bob():
            print "chicken",
        self.assertEqual("chicken ", output(bob))

    def test_print_newline(self):
        def bob():
            print
        self.assertEqual("\n", output(bob))

    def test_print_integer(self):
        def bob():
            print str(23), str(-87)
        self.assertEqual("23 -87\n", output(bob))

if __name__ == "__main__":
    unittest.main()
