from system.clock import get_milliseconds, sleep

_last_time = get_milliseconds()
def get_millseconds_step():
    """ Get the step in milliseconds.
    
        eg: The number of milliseconds since this function was last called. """
    global _last_time
    current_time = get_milliseconds()

    # Note that the counter can spin around (ie: for a 16 bit counter, it will
    # spin every 32767 / 1000 = 32 seconds).
    change = 0
    if current_time >= _last_time:
        change = current_time - _last_time
    _last_time = current_time
    return change
