def create_matrix():
    """ Create a new matrix """
    return [[1,0,0,0],[0,1,0,0],[0,0,1,0],[0,0,0,1]]

identity = create_matrix()

def multiply(a, b, dest):
    row = 0
    while row < 4:
        column = 0
        while column < 4:
            total = 0
            i = 0
            while i < 4:
                total = total + a[row][i] * b[i][column]
                i = i + 1
            dest[row][column] = total
            column = column + 1
        row = row + 1

def _dot_product(a, b):
    i = 0
    result = 0
    while i < 4:
        result = result + a[i] * b[i]
        i = i + 1
    return result

_input = [0,0,0,0]
def transform(vector, dest, matrix):
    i = 0
    _input[0] = vector[0]
    _input[1] = vector[1]
    _input[2] = vector[2]
    _input[3] = 1
    while i < 3:
        dest[i] = _dot_product(matrix[i], _input)
        i = i + 1

def make_identity(matrix):
    i = 0
    while i < 4:
        j = 0
        while j < 4:
            matrix[i][j] = identity[i][j]
            j = j + 1
        i = i + 1

def divide(matrix, scale):
    for row in matrix:
        column = 0
        while column < 4:
            row[column] = row[column] / scale
            column = column + 1

