#!env python

from random import randint

from system.drawing.window import init, refresh
from system.input import peek, readkey
from system.clock import sleep

from common.graphics import swap
from common.graphics.rectangle import draw_rectangle
from common.graphics.triangle import draw_triangle 

def main():
    init()

    should_run = 1
    while should_run:
        i = 0
        while i < 10:
            x1 = randint(0, 320)
            y1 = randint(0, 200)
            x2 = randint(0, 320)
            y2 = randint(0, 200)
            if x1 > x2:
                temp = x1
                x1 = x2
                x2 = temp
            if y1 > y2:
                temp = y1
                y1 = y2
                y2 = temp
            draw_rectangle(x1, y1, x2, y2, randint(1, 8))
            i = i + 1

        draw_triangle(150, 15, 0, 180, 80, 0, 30, 60, 0, 3)
        swap()

        if peek():
            if readkey() == 27:
                should_run = 0

main()
